Bug 1877065 - Whereabouts IPAM CNI IPv6 addresses with single colon aren't properly converted to DNS-1123 name in OCP 4.5
Summary: Whereabouts IPAM CNI IPv6 addresses with single colon aren't properly convert...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On: 1877060
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 19:08 UTC by Douglas Smith
Modified: 2020-09-21 17:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1877060
Environment:
Last Closed: 2020-09-21 17:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift whereabouts-cni pull 29 None closed Bug 1877065: Fixing wrong DNS-1123 name for some IPv6 addresses 2020-09-21 01:38:46 UTC
Red Hat Product Errata RHBA-2020:3719 None None None 2020-09-21 17:42:21 UTC

Comment 3 Weibin Liang 2020-09-14 19:30:39 UTC
In 4.5.0-0.nightly-2020-09-14-124053, pod can get more ipv6 address than the range defined in NAD,

[weliang@weliang verification-tests]$ oc get net-attach-def macvlan-bridge-whereabouts-v6 -o yaml
apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  creationTimestamp: "2020-09-14T17:48:02Z"
  generation: 1
  managedFields:
  - apiVersion: k8s.cni.cncf.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:config: {}
    manager: oc
    operation: Update
    time: "2020-09-14T17:48:02Z"
  name: macvlan-bridge-whereabouts-v6
  namespace: test1
  resourceVersion: "27646"
  selfLink: /apis/k8s.cni.cncf.io/v1/namespaces/test1/network-attachment-definitions/macvlan-bridge-whereabouts-v6
  uid: 84a0cd83-53a1-4d25-be00-0e53ee380eca
spec:
  config: '{ "cniVersion": "0.3.0", "name": "whereabouts", "type": "macvlan", "mode":
    "bridge", "ipam": { "type": "whereabouts", "range": "fd00:dead:beef:1::1-fd00:dead:beef:1::4/64"
    } }'
[weliang@weliang verification-tests]$ 
[weliang@weliang verification-tests]$ oc get pods
NAME                  READY   STATUS    RESTARTS   AGE
whereabouts-podv6-1   1/1     Running   0          26s
whereabouts-podv6-2   1/1     Running   0          25s
whereabouts-podv6-3   1/1     Running   0          24s
whereabouts-podv6-4   1/1     Running   0          24s
whereabouts-podv6-5   1/1     Running   0          23s
[weliang@weliang verification-tests]$ oc describe pod | grep fd00
                        "fd00:dead:beef:1::1"
                        "fd00:dead:beef:1::1"
  Normal  AddedInterface  48s        multus                                              Add net1 [fd00:dead:beef:1::1/64] from macvlan-bridge-whereabouts-v6
                        "fd00:dead:beef:1::2"
                        "fd00:dead:beef:1::2"
  Normal  AddedInterface  48s        multus                                              Add net1 [fd00:dead:beef:1::2/64] from macvlan-bridge-whereabouts-v6
                        "fd00:dead:beef:1::3"
                        "fd00:dead:beef:1::3"
  Normal  AddedInterface  47s        multus                                              Add net1 [fd00:dead:beef:1::3/64] from macvlan-bridge-whereabouts-v6
                        "fd00:dead:beef:1::4"
                        "fd00:dead:beef:1::4"
  Normal  AddedInterface  48s        multus                                              Add net1 [fd00:dead:beef:1::4/64] from macvlan-bridge-whereabouts-v6
                        "fd00:dead:beef:1::5"
                        "fd00:dead:beef:1::5"
  Normal  AddedInterface  48s        multus                                              Add net1 [fd00:dead:beef:1::5/64] from macvlan-bridge-whereabouts-v6
[weliang@weliang verification-tests]$

Comment 5 errata-xmlrpc 2020-09-21 17:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3719


Note You need to log in before you can comment on or make changes to this bug.